use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize)]
pub struct SendMessageReq<'a> {
    pub room_id: &'a str,
    pub author_id: &'a str,
    pub message: &'a str,
}

#[derive(Serialize, Deserialize)]
pub struct SetTopicReq<'a> {
    pub room_id: &'a str,
    pub author_id: &'a str,
    pub topic: &'a str,
}

pub mod paths {
    pub const SEND_MESSAGE: &'static str = "/mgmt/rooms/send_message";
    pub const SET_TOPIC: &'static str = "/mgmt/rooms/set_topic";
}

pub mod errors {
    pub const ROOM_NOT_FOUND: &'static str = "room_not_found";
}
